Loading...
Searching...
No Matches
gridfire::exceptions::UnknownJacobianError Class Referencefinal

Exception for unknown Jacobian matrix access. More...

`#include <error_engine.h>`

Inheritance diagram for gridfire::exceptions::UnknownJacobianError:
[legend]
Collaboration diagram for gridfire::exceptions::UnknownJacobianError:
[legend]

## Additional Inherited Members

Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Detailed Description

Exception for unknown Jacobian matrix access.

This exception is thrown when an attempt is made to access a Jacobian matrix that is unknown or not recognized by the engine.

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_engine.h